Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1603318 - RxCpp: FTBFS in Fedora rawhide
Summary: RxCpp: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: RxCpp
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:23 UTC by Mohan Boddu
Modified: 2019-02-22 03:13 UTC (History)
1 user (show)

Fixed In Version: RxCpp-4.1.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-22 03:13:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 14:23 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 14:23 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 14:23 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:23:14 UTC
RxCpp failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28163760


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix RxCpp at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
RxCpp will be orphaned. Before branching of Fedora 30,
RxCpp will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:23:22 UTC
Created attachment 1460266 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:23:26 UTC
Created attachment 1460267 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:23:29 UTC
Created attachment 1460268 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:51:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-02-11 17:14:31 UTC
RxCpp-4.1.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77acfbbf81

Comment 6 Fedora Update System 2019-02-12 02:50:16 UTC
RxCpp-4.1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-77acfbbf81

Comment 7 Fedora Update System 2019-02-13 11:02:25 UTC
RxCpp-4.1.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77acfbbf81

Comment 8 Fedora Update System 2019-02-14 02:34:46 UTC
RxCpp-4.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-77acfbbf81

Comment 9 Fedora Update System 2019-02-22 03:13:09 UTC
RxCpp-4.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.